{% extends "base.html" %}
{% load formatting %}
{% load i18n %}

{% block title %}{{ account.full_name }}{% endblock title %}

{% block extra_head %}
<style>
    .img-detail {
        border-radius: 0.25rem;
        background-color: #000000;
        border: 2px solid #000000;
        margin-bottom: 1rem;
        width: 100%;
        max-width: 256px;
        height: auto;
    }
</style>
{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{{ account.full_name }}</h1>
                </div>
                <div class="card-body">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-4 col-lg-3 px-0 pr-md-2 pb-3">
                                <img class="img-detail d-block mx-auto" src="{{ account.avatar_url }}">
                                {% if perms.accounts.view_accounts %}
                                {% if not request.GET.personal %}
                                <a class="btn btn-dark btn-detail" href="{% url 'accounts:list' %}">
                                    <i class="fas fa-arrow-left fa-fw mr-1"></i>
                                    {% trans "Back to Accounts" %}
                                </a>
                                {% endif %}
                                {% endif %}
                                {% if request.user.pk == account.pk %}
                                <a class="btn btn-secondary btn-detail"
                                    href="{% url 'accounts:password_change' pk=account.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-key fa-fw mr-1"></i>
                                    {% trans "Change Password" %}
                                </a>
                                {% endif %}
                                {% if perms.accounts.manage_accounts and not account.is_active %}
                                <a class="btn btn-info btn-detail"
                                    href="{% url 'accounts:activate' pk=account.pk %}?next={{ request.get_full_path }}">

                                    <i class="fas fa-share fa-fw mr-1"></i>
                                    {% trans "Resend Activation Email" %}
                                </a>
                                {% endif %}
                                {% if request.user.is_superuser %}
                                <a class="btn btn-primary btn-detail"
                                    href="{% url 'accounts:permissions_change' pk=account.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-unlock-alt fa-fw mr-1"></i>
                                    {% trans "Change Permissions" %}
                                </a>
                                {% endif %}
                                {% if request.user.pk == account.pk or perms.accounts.manage_accounts %}
                                <a class="btn btn-warning btn-detail"
                                    href="{% url 'accounts:edit' pk=account.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-pen fa-fw mr-1"></i>
                                    {% trans "Edit Account" %}
                                </a>
                                <a class="btn btn-danger btn-detail"
                                    href="{% url 'accounts:delete' pk=account.pk %}?next=/accounts/&cancel={{ request.get_full_path }}">
                                    <i class="fas fa-trash fa-fw mr-1"></i>
                                    {% trans "Delete Account" %}
                                </a>
                                {% endif %}
                            </div>
                            <div class="col-md-8 col-lg-9 px-0 pl-md-2">
                                <div class="table-mobile">
                                    <table class="table table-striped table-detail" id="mobileTable">
                                        <tbody>
                                            <tr>
                                                <th scope="row">{% trans "Account ID" %}</th>
                                                <td>{{ account.pk }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Title" %}</th>
                                                <td>{{ account.title }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "First Name" %}</th>
                                                <td>{{ account.first_name }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Last Name" %}</th>
                                                <td>{{ account.last_name }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Email" %}</th>
                                                <td>{{ account.email }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Phone Number" %}</th>
                                                <td>{{ account.phone_number|format_phone }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Date of Birth" %}</th>
                                                <td>{{ account.date_of_birth|default_if_none:"" }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Gender" %}</th>
                                                <td>{{ account.gender }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Company / School / University" %}</th>
                                                <td>{{ account.company }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Address Line 1" %}</th>
                                                <td>{{ account.address_line1 }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Address Line 2" %}</th>
                                                <td>{{ account.address_line2 }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "City" %}</th>
                                                <td>{{ account.city }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "State / Region / Province" %}</th>
                                                <td>{{ account.state }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "ZIP / Postal Code" %}</th>
                                                <td>{{ account.zipcode }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Country" %}</th>
                                                <td>
                                                    {% if account.country %}
                                                    <img class="mr-2" src="{{ account.country.flag }}">{{ account.country.name }}
                                                    {% endif %}
                                                </td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Active" %}</th>
                                                <td>{{ account.is_active|yesno:"Yes,No" }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">
                                                    {% trans "Permissions" %}<br>
                                                </th>
                                                <td>
                                                    {% if account.is_superuser %}
                                                    Superuser
                                                    {% else %}
                                                    {% for permission in account.user_permissions.all %}
                                                    {{ permission.content_type.app_label.capitalize }}:
                                                    {{ permission.name }}<br>
                                                    {% empty %}
                                                    N/A
                                                    {% endfor %}
                                                    {% endif %}
                                                </td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Groups" %}</th>
                                                <td>
                                                    {% for group in account.groups.all %}
                                                    {% if perms.accounts.view_groups %}
                                                    <a href="{% url 'accounts:groups_detail' pk=group.pk %}">{{ group.name }}</a><br>
                                                    {% else %}
                                                    {{ group.name }}<br>
                                                    {% endif %}
                                                    {% empty %}
                                                    N/A
                                                    {% endfor %}
                                                </td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Created on" %}</th>
                                                <td>{{ account.created_on }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Updated on" %}</th>
                                                <td>{{ account.updated_on }}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}